org.fourthline.cling.support.model

## Class PositionInfo

- java.lang.Object
- - org.fourthline.cling.support.model.PositionInfo

-     public class PositionInfo
      extends Object

  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositionInfo()`
    `PositionInfo(long track, String trackMetaData, String trackURI)`
    `PositionInfo(long track, String trackDuration, String trackURI, String relTime, String absTime)`
    `PositionInfo(long track, String trackDuration, String trackMetaData, String trackURI, String relTime, String absTime, int relCount, int absCount)`
    `PositionInfo(Map<String,ActionArgumentValue> args)`
    `PositionInfo(PositionInfo copy, long relTimeSeconds, long absTimeSeconds)`
    `PositionInfo(PositionInfo copy, String relTime, String absTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAbsCount()`
    `String` | `getAbsTime()`
    `int` | `getElapsedPercent()`
    `int` | `getRelCount()`
    `String` | `getRelTime()`
    `UnsignedIntegerFourBytes` | `getTrack()`
    `String` | `getTrackDuration()`
    `long` | `getTrackDurationSeconds()`
    `long` | `getTrackElapsedSeconds()`
    `String` | `getTrackMetaData()`
    `long` | `getTrackRemainingSeconds()`
    `String` | `getTrackURI()`
    `void` | `setRelTime(String relTime)`
    `void` | `setTrackDuration(String trackDuration)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PositionInfo

          public PositionInfo()

    - #### PositionInfo

          public PositionInfo(Map<String,ActionArgumentValue> args)

    - #### PositionInfo

          public PositionInfo(PositionInfo copy,
                              String relTime,
                              String absTime)

    - #### PositionInfo

          public PositionInfo(PositionInfo copy,
                              long relTimeSeconds,
                              long absTimeSeconds)

    - #### PositionInfo

          public PositionInfo(long track,
                              String trackDuration,
                              String trackURI,
                              String relTime,
                              String absTime)

    - #### PositionInfo

          public PositionInfo(long track,
                              String trackDuration,
                              String trackMetaData,
                              String trackURI,
                              String relTime,
                              String absTime,
                              int relCount,
                              int absCount)

    - #### PositionInfo

          public PositionInfo(long track,
                              String trackMetaData,
                              String trackURI)

  - ### Method Detail

    - #### getTrack

          public UnsignedIntegerFourBytes getTrack()

    - #### getTrackDuration

          public String getTrackDuration()

    - #### getTrackMetaData

          public String getTrackMetaData()

    - #### getTrackURI

          public String getTrackURI()

    - #### getRelTime

          public String getRelTime()

    - #### getAbsTime

          public String getAbsTime()

    - #### getRelCount

          public int getRelCount()

    - #### getAbsCount

          public int getAbsCount()

    - #### setTrackDuration

          public void setTrackDuration(String trackDuration)

    - #### setRelTime

          public void setRelTime(String relTime)

    - #### getTrackDurationSeconds

          public long getTrackDurationSeconds()

    - #### getTrackElapsedSeconds

          public long getTrackElapsedSeconds()

    - #### getTrackRemainingSeconds

          public long getTrackRemainingSeconds()

    - #### getElapsedPercent

          public int getElapsedPercent()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.